import { get, post } from "@/api/index";

export default {
  //角色列表
  roleList: () => {
    return get("/role/list", {});
  },
  //角色新增
  roleAdd: params => {
    return post("/role/add", params);
  },
  //角色编辑
  roleEdit: params => {
    return post("/role/edit", params);
  },
  //角色删除
  roleDel: params => {
    return post("/role/delete", params);
  },
  // 角色对应的权限
  roleAuthList:params=>{
    return get('/role/menu/auth_list',params)
  },
  //设置角色的权限
  roleAuthSet:params=>{
    return post('/role/menu/auth_save',params)
  },
  // 角色对应的菜单数据
  menuData:()=>{
    return get('/role/menu/list',{})
  }
  
  
};
